<div class="loading-shade" *ngIf="dataSource.loading$ | async">
  <mat-progress-bar *ngIf="dataSource.loading$ | async" mode="indeterminate"></mat-progress-bar>
</div>

<div class="mb-3">
  <mat-accordion>
    <mat-expansion-panel hideToggle>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <div class="w-100 flex justify-between">
              <div> User Claims </div>
              <mat-icon>stat_minus_1</mat-icon>
          </div>
        </mat-panel-title>
        </mat-expansion-panel-header>
          <table mat-table class="full-width-table" [dataSource]="dataSource" matSort aria-label="Elements">
            <!-- Name Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef id="name">Name</th>
              <td mat-cell *matCellDef="let row">
                <span>{{row.name}}</span>
              </td>
            </ng-container>
    
            <!-- Scope Column -->
            <ng-container matColumnDef="scope">
              <th mat-header-cell *matHeaderCellDef id="scope">Scope</th>
              <td mat-cell *matCellDef="let row">{{row.scope}}</td>
            </ng-container>
    
            <!-- Scope Column -->
            <ng-container matColumnDef="value">
              <th mat-header-cell *matHeaderCellDef id="value">Value</th>
              <td mat-cell *matCellDef="let row">{{stringify(row.value)}}</td>
            </ng-container>
    
            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
          <mat-paginator #paginator
            class="mat-paginator-sticky"
            (page)="getUpdate($event)"
            [length]="dataSource.length"
            [pageSizeOptions]="[10, 50, 100, 500]">
          </mat-paginator>
    </mat-expansion-panel>
    </mat-accordion>
</div>